<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for UnassignPresenceUserReq StructType
 * @subpackage Structs
 */
class UnassignPresenceUserReq extends APIRequest
{
    /**
     * The userid
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $userid;
    /**
     * Constructor method for UnassignPresenceUserReq
     * @uses UnassignPresenceUserReq::setUserid()
     * @param string $userid
     */
    public function __construct($userid = null)
    {
        $this
            ->setUserid($userid);
    }
    /**
     * Get userid value
     * @return string
     */
    public function getUserid()
    {
        return $this->userid;
    }
    /**
     * Set userid value
     * @param string $userid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UnassignPresenceUserReq
     */
    public function setUserid($userid = null)
    {
        $this->userid = $userid;
        return $this;
    }
}
